LaravelをMacで構築する人の戯言…Zipぐらい展開してくれPHP

徒然草2.0

macのプリインストール版とかMAMPのインストール版とかだとzip-asxだったか?ext-zipだったか。zipを展開するExtensionが入らないのだそうで、homebrewを使って新しいphp7.3.11をインストール。

このモジュールが有効でないと、composerがまともに動かない。Laravelのインストールに失敗してしまう。そのZip系のExtensionが入っているか確かめるコマンドがこれ↓

php --ri zip

このコマンドを叩いてzipに関する処理ができないなら別途Extensionをいれるが、homebrewを実行したほうが早い(よけいないこと考えないですむ)

(以下は、参考URL)

composer で Laravelをダウンロードしようとしたら詰まった話 @ CentOS7 - Qiita
composer を利用して Laravelをインストールしようとしたら盛大に詰まったので、解決方法を記載しておきます。 私の環境とバージョンは下記の通りです。 ```bash # cat /etc/re...

 

コメント

タイトルとURLをコピーしました